( cd usr/lib ; rm -rf libdbus-1.so )
( cd usr/lib ; ln -sf libdbus-1.so.3.5.4 libdbus-1.so )
( cd usr/lib ; rm -rf libdbus-1.so.3 )
( cd usr/lib ; ln -sf libdbus-1.so.3.5.4 libdbus-1.so.3 )

# Figure out our root directory
ROOTDIR=$(pwd)
unset CHROOT
if test "${ROOTDIR}" != "/"; then
  CHROOT="chroot ${ROOTDIR} "
  ROOTDIR="${ROOTDIR}/"
fi
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.messagebus.new:
if [ -r etc/rc.d/rc.messagebus -a -r etc/rc.d/rc.messagebus.new ]; then
  chmod --reference=etc/rc.d/rc.messagebus etc/rc.d/rc.messagebus.new
fi

## List of conf files to check.  The conf files in your package should end in .new
config etc/dbus-1/session.conf.new
config etc/dbus-1/system.conf.new
config etc/rc.d/rc.messagebus.new

${CHROOT} /bin/chown root.messagebus /usr/libexec/dbus-daemon-launch-helper
${CHROOT} /bin/chmod 4750 /usr/libexec/dbus-daemon-launch-helper
${CHROOT} /bin/chown messagebus.root /var/lib/dbus
